SignSecureSignSecure Docs
Documents

Generate Download URL

Get a presigned download URL for the document file. Valid for 1 hour.

GET
/documents/{documentId}/file

Get a presigned download URL for the document file. Valid for 1 hour.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.signsecure.com/api/v1/documents/string/file"
{
  "url": "string",
  "expiresIn": 3600,
  "fileName": "string"
}
{
  "code": "NOT_AVAILABLE",
  "message": "Document file not available",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Document not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}